OpenJPEG 2.5.2

Data Fields
frwd_struct Struct Reference

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams. More...

## Data Fields
const OPJ_UINT8 * | data
| pointer to bitstream
OPJ_UINT64 | tmp
| temporary buffer of read data
OPJ_UINT32 | bits
| number of bits stored in tmp
OPJ_BOOL | unstuff
| true if a bit needs to be unstuffed from next byte
int | size
| size of data
OPJ_UINT32 | X
| 0 or 0xFF, X's are inserted at end of bitstream

## Detailed Description

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams.

## Field Documentation

## ◆ bits

OPJ_UINT32 frwd_struct::bits

number of bits stored in tmp

Referenced by frwd_advance(), frwd_fetch(), frwd_init(), and frwd_read().

## ◆ data

const OPJ_UINT8* frwd_struct::data

pointer to bitstream

Referenced by frwd_init(), and frwd_read().

## ◆ size

int frwd_struct::size

size of data

Referenced by frwd_init(), and frwd_read().

## ◆ tmp

OPJ_UINT64 frwd_struct::tmp

temporary buffer of read data

Referenced by frwd_advance(), frwd_fetch(), frwd_init(), and frwd_read().

## ◆ unstuff

OPJ_BOOL frwd_struct::unstuff

true if a bit needs to be unstuffed from next byte

Referenced by frwd_init(), and frwd_read().

## ◆ X

OPJ_UINT32 frwd_struct::X

0 or 0xFF, X's are inserted at end of bitstream

Referenced by frwd_init(), and frwd_read().

The documentation for this struct was generated from the following file:

- ht_dec.c